Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# DeviceFeedbackC Class Reference

Device Feedback class. More...

`#include <DeviceFeedbackC.h>`

List of all members.

## Public Member Functions
virtual void | set_scene (Composition::SceneC *pScene)
| Sets the scene to use.
virtual void | set_filelist (Import::FileListC *pFileList)
| Sets the file list to use.
virtual void | set_devicecontext (PajaSystem::DeviceContextC *pContext)
| Sets the device context to use.
virtual void | send_init (PajaTypes::uint32 ui32Reason)
| Sends initalize notify to effects and importers.

## Detailed Description

Device Feedback class.

Device feedback class is used by the device drivers to send messages to the effects and importers.

## Member Function Documentation

virtual void send_init | ( | PajaTypes::uint32 | ui32Reason | ) | `[virtual]`

| Sends initalize notify to effects and importers.

virtual void set_devicecontext | ( | PajaSystem::DeviceContextC * | pContext | ) | `[virtual]`

| Sets the device context to use.

virtual void set_filelist | ( | Import::FileListC * | pFileList | ) | `[virtual]`

| Sets the file list to use.

virtual void set_scene | ( | Composition::SceneC * | pScene | ) | `[virtual]`

| Sets the scene to use.